import Foundation

struct ServerConfiguration: Codable {
    
    let port: Int
    
    let logPath: String
    
    let privateKeyFilePath: String
    
    let teamIdentifier: String

    let keyIdentifier: String
    
    let topic: String
    
    let messageTitle: String
    
    let messageBody: String
    
    let buttonPin: Int
    
    let bounceTime: Double
    
    let tokens: [String]
}
